<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ErrorVM.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.web.rest.errors</a> &gt; <span class="el_source">ErrorVM.java</span></div><h1>ErrorVM.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.web.rest.errors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * View Model for transferring error message with a list of field errors.
 */
public class ErrorVM implements Serializable {

    private static final long serialVersionUID = 1L;

    private final String message;
    private final String description;

    private List&lt;FieldErrorVM&gt; fieldErrors;

    public ErrorVM(String message) {
<span class="fc" id="L20">        this(message, null);</span>
<span class="fc" id="L21">    }</span>

<span class="fc" id="L23">    public ErrorVM(String message, String description) {</span>
<span class="fc" id="L24">        this.message = message;</span>
<span class="fc" id="L25">        this.description = description;</span>
<span class="fc" id="L26">    }</span>

<span class="nc" id="L28">    public ErrorVM(String message, String description, List&lt;FieldErrorVM&gt; fieldErrors) {</span>
<span class="nc" id="L29">        this.message = message;</span>
<span class="nc" id="L30">        this.description = description;</span>
<span class="nc" id="L31">        this.fieldErrors = fieldErrors;</span>
<span class="nc" id="L32">    }</span>

    public void add(String objectName, String field, String message) {
<span class="pc bpc" id="L35" title="1 of 2 branches missed.">        if (fieldErrors == null) {</span>
<span class="fc" id="L36">            fieldErrors = new ArrayList&lt;&gt;();</span>
        }
<span class="fc" id="L38">        fieldErrors.add(new FieldErrorVM(objectName, field, message));</span>
<span class="fc" id="L39">    }</span>

    public String getMessage() {
<span class="fc" id="L42">        return message;</span>
    }

    public String getDescription() {
<span class="fc" id="L46">        return description;</span>
    }

    public List&lt;FieldErrorVM&gt; getFieldErrors() {
<span class="fc" id="L50">        return fieldErrors;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>